import request from "@/utils/request";

//获取当前列表
export function dataArrayList(processId: string) {
  return request({
    url: `/api/v1/testData/get/${processId}`,
    method: "get",
  });
}

export function startCSSJTesting(processId: string) {
  return request({
    url: `/api/v1/testData/startTest/${processId}`,
    method: "get",
  });
}

// 查询最后一次执行日志列表
export function getCSSJLastLogData(processId?: string) {
  return request({
    url: `/api/v1/test/engrExecuteLog/queryLastList`,
    method: "post",
    data: {},
  });
}
export function deleteCSSJ(id: string) {
  return request({
    url: `/api/v1/testData/del`,
    method: "post",
    data: {
      id: id,
    },
  });
}

export function addCSSJ(data: any) {
  return request({
    url: `/api/v1/testData/save`,
    method: "post",
    data: data,
  });
}
